> ## Documentation Index
> Fetch the complete documentation index at: https://docs.verbex.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get post-call analysis configuration for an agent

> Get post-call analysis configuration for an agent



## OpenAPI

````yaml /api-reference/openapi.json get /v2/ai-agents/{ai_agent_id}/postcall-analysis
openapi: 3.1.0
info:
  title: Verbex Platform API
  description: API for managing AI agents, calls, phone numbers, and more.
  version: 1.0.0
servers: []
security: []
paths:
  /v2/ai-agents/{ai_agent_id}/postcall-analysis:
    get:
      tags:
        - Post-call Analysis
      summary: Get post-call analysis configuration for an agent
      description: Get post-call analysis configuration for an agent
      operationId: >-
        get_post_call_analysis_config_v2_ai_agents__ai_agent_id__postcall_analysis__get
      parameters:
        - name: ai_agent_id
          in: path
          required: true
          schema:
            type: string
            title: Ai Agent Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PostCallAnalysisConfig'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PostCallAnalysisConfig:
      properties:
        items:
          items:
            oneOf:
              - $ref: '#/components/schemas/StringAnalysisItem'
              - $ref: '#/components/schemas/EnumAnalysisItem'
              - $ref: '#/components/schemas/BooleanAnalysisItem'
              - $ref: '#/components/schemas/NumberAnalysisItem'
            discriminator:
              propertyName: type
              mapping:
                boolean:
                  $ref: '#/components/schemas/BooleanAnalysisItem'
                enum:
                  $ref: '#/components/schemas/EnumAnalysisItem'
                number:
                  $ref: '#/components/schemas/NumberAnalysisItem'
                string:
                  $ref: '#/components/schemas/StringAnalysisItem'
          type: array
          title: Items
          description: List of analysis items configured for post-call analysis
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Timestamp when this analysis configuration was created, in UTC
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
          description: >-
            Timestamp when this analysis configuration was last modified, in
            UTC. Null if never modified
        created_by_user_id:
          type: string
          title: Created By User Id
          description: Identifier of the user who created this analysis configuration
        ai_agent_id:
          type: string
          title: Ai Agent Id
          description: >-
            Identifier of the AI agent this analysis configuration is associated
            with
      type: object
      required:
        - items
        - created_by_user_id
        - ai_agent_id
      title: PostCallAnalysisConfig
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    StringAnalysisItem:
      properties:
        type:
          type: string
          const: string
          title: Type
          description: Specifies that this analysis item will return a text string result
        name:
          type: string
          title: Name
          description: >-
            Unique identifier for this analysis item that can be used to
            reference it in API calls and results
        description:
          type: string
          title: Description
          description: >-
            Detailed explanation of what this analysis item measures or
            determines from the call
        analysis_prompt:
          type: string
          title: Analysis Prompt
          description: >-
            Instructions for the AI system on how to analyze the call and
            generate this specific analysis item
        temperature:
          anyOf:
            - type: number
            - type: 'null'
          title: Temperature
          description: >-
            Controls randomness in the AI's responses. Values between 0 and 1,
            where 0 is more focused and 1 is more creative
          default: 0.1
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
          description: The AI model to use for this analysis. Defaults to 'gpt-4o'
          default: gpt-4o
        response_format:
          anyOf:
            - type: object
            - type: 'null'
          title: Response Format
          description: >-
            Optional JSON schema for the expected response format of the
            analysis item. If provided, the AI will generate a response that
            matches this schema
      type: object
      required:
        - type
        - name
        - description
        - analysis_prompt
      title: StringAnalysisItem
    EnumAnalysisItem:
      properties:
        type:
          type: string
          const: enum
          title: Type
          description: >-
            Specifies that this analysis item will return one value from a
            predefined set
        name:
          type: string
          title: Name
          description: >-
            Unique identifier for this analysis item that can be used to
            reference it in API calls and results
        description:
          type: string
          title: Description
          description: >-
            Detailed explanation of what this analysis item measures or
            determines from the call
        analysis_prompt:
          type: string
          title: Analysis Prompt
          description: >-
            Instructions for the AI system on how to analyze the call and
            generate this specific analysis item
        temperature:
          anyOf:
            - type: number
            - type: 'null'
          title: Temperature
          description: >-
            Controls randomness in the AI's responses. Values between 0 and 1,
            where 0 is more focused and 1 is more creative
          default: 0.1
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
          description: The AI model to use for this analysis. Defaults to 'gpt-4o'
          default: gpt-4o
        response_format:
          anyOf:
            - type: object
            - type: 'null'
          title: Response Format
          description: >-
            Optional JSON schema for the expected response format of the
            analysis item. If provided, the AI will generate a response that
            matches this schema
        choices:
          items:
            type: string
          type: array
          minItems: 1
          title: Choices
          description: >-
            The complete list of possible values that this analysis item can
            return. Must contain at least one option
      type: object
      required:
        - type
        - name
        - description
        - analysis_prompt
      title: EnumAnalysisItem
    BooleanAnalysisItem:
      properties:
        type:
          type: string
          const: boolean
          title: Type
          description: Specifies that this analysis item will return a true/false result
        name:
          type: string
          title: Name
          description: >-
            Unique identifier for this analysis item that can be used to
            reference it in API calls and results
        description:
          type: string
          title: Description
          description: >-
            Detailed explanation of what this analysis item measures or
            determines from the call
        analysis_prompt:
          type: string
          title: Analysis Prompt
          description: >-
            Instructions for the AI system on how to analyze the call and
            generate this specific analysis item
        temperature:
          anyOf:
            - type: number
            - type: 'null'
          title: Temperature
          description: >-
            Controls randomness in the AI's responses. Values between 0 and 1,
            where 0 is more focused and 1 is more creative
          default: 0.1
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
          description: The AI model to use for this analysis. Defaults to 'gpt-4o'
          default: gpt-4o
        response_format:
          anyOf:
            - type: object
            - type: 'null'
          title: Response Format
          description: >-
            Optional JSON schema for the expected response format of the
            analysis item. If provided, the AI will generate a response that
            matches this schema
      type: object
      required:
        - type
        - name
        - description
        - analysis_prompt
      title: BooleanAnalysisItem
    NumberAnalysisItem:
      properties:
        type:
          type: string
          const: number
          title: Type
          description: Specifies that this analysis item will return a numeric value
        name:
          type: string
          title: Name
          description: >-
            Unique identifier for this analysis item that can be used to
            reference it in API calls and results
        description:
          type: string
          title: Description
          description: >-
            Detailed explanation of what this analysis item measures or
            determines from the call
        analysis_prompt:
          type: string
          title: Analysis Prompt
          description: >-
            Instructions for the AI system on how to analyze the call and
            generate this specific analysis item
        temperature:
          anyOf:
            - type: number
            - type: 'null'
          title: Temperature
          description: >-
            Controls randomness in the AI's responses. Values between 0 and 1,
            where 0 is more focused and 1 is more creative
          default: 0.1
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
          description: The AI model to use for this analysis. Defaults to 'gpt-4o'
          default: gpt-4o
        response_format:
          anyOf:
            - type: object
            - type: 'null'
          title: Response Format
          description: >-
            Optional JSON schema for the expected response format of the
            analysis item. If provided, the AI will generate a response that
            matches this schema
      type: object
      required:
        - type
        - name
        - description
        - analysis_prompt
      title: NumberAnalysisItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````